<img src='https://github.com/ljlm0402/typescript-react-native-starter/raw/images/logo.jpg' border='0' alt='logo' />

[React Native](https://facebook.github.io/react-native/) with [TypeScript's](https://www.npmjs.com/package/typescript) application generator.

<a href="https://www.npmjs.com/package/typescript-react-native-starter" target="_blank"><img src="https://img.shields.io/npm/v/typescript-react-native-starter.svg" alt="NPM Version" /></a>
<a href="https://www.npmjs.com/package/typescript-react-native-starter" target="_blank"><img src="https://img.shields.io/npm/l/typescript-react-native-starter.svg" alt="Package License" /></a>
<a href="https://www.npmjs.com/package/typescript-react-native-starter" target="_blank"><img src="https://img.shields.io/npm/dm/typescript-react-native-starter.svg" alt="NPM Downloads" /></a>

<br />

## 🧐 What is it?

Creates a new typescript react-native application.
application is configured to use TypeScript instead of plain JavaScript. 

## 🤔 Why typescript-react-native-starter?

Node Js is great for the rapid development of web-projects, but is often neglected because of the lack of
type safety. TypeScript solves this issue and (along with its linter file) can even make your code
more robust than some other static languages like Java.

## ⚙️ Installation

```sh
$ npm install -g typescript-react-native-starter
```

## 🚀 Quick Start

The quickest way to get started is use npx and pass in the name of the project you want to create.
If you don't specify a project name, the default _typescript-react-native-starter_ will be used instead.

### 1. Create the app

```bash
$ npx typescript-react-native-starter "project name"
```

Choose the template you want. We will create more templates later.

## 🎠 Available commands for the server.

- Run the Server in Android mode : `npm run android`.
- Run the Server in iOS mode : `npm run ios`.
- Run all unit-tests: `npm run test`.
- Check for linting errors: `npm run lint`.

You may need to install [android studio](https://developer.android.com/studio) and [xcode](https://apps.apple.com/kr/app/xcode/id497799835?mt=12) separately if you do not currently have it installed on your machine.

## 💳 License

[MIT](LICENSE)

## 🤝 Contributors
